declare type HashType = 'hashlittle' | 'hashword';
export interface SimhashOptions {
    hashType?: HashType;
    kshinglesN?: number;
}
export declare function simhash(s: string, options?: SimhashOptions): number;
export declare function hammingWeight(x: number): number;
export declare const hammingDistance: (x: number, y: number) => number;
export interface SimhashSimilarityReturn {
    score: number;
    hammingDistance: number;
}
export declare function similarity(x: string, y: string, options?: SimhashOptions): SimhashSimilarityReturn;
export {};
